<?php
// get flag
$action_flag=$_REQUEST['mode'];
// call process
mga_call_process($action_flag,'f_general');

// define actions /////////////

// general
function f_general(){
	global $wpdb;
	// save
	if(isset($_POST['process']) && $_POST['process']=='true'){		
		extract($_POST);
		if(isset($settings)){
			// check email unique
			$old_settings=get_option('mga_settings');
			if(is_array($old_settings)){
				$new_settings=array_merge($old_settings,$_POST['settings']);
			}else{
				$new_settings=$_POST['settings'];
			}
			update_option('mga_settings', $new_settings);
			// message				
			$status  ='success';
			$message =__('General Settings updated successfully','mga');		
		}else{
			$status  ='error';
			$message =__('Setting not provided','mga');
		}		
		// the response
		echo json_encode(array('status'=>$status,'message'=>$message));
		exit();
	}
	// old settings
	$mga_settings = get_option('mga_settings');
	$settings     = $mga_settings['general'];	
	
	$membershipmods = mga_get_setting('membership','recurringmodules');
	
	// show form
	?>
	<?php mga_box_top('General Settings')?>	
	<form name="frmgenset" id="frmgenset" method="post" action="admin.php?page=mga/admin&load=settings&mode=general">
		<table width="100%" cellpadding="1" cellspacing="0" border="0" class="form-table">		
			<tbody>
				<tr>
					<td width="25%" valign="top"><span class="required-field"><?php _e('Affiliate Site Title','mga')?></span></td>
					<td valign="top">
						<input type="text" name="settings[general][affliate_site_title]" size="50" value="<?php echo $settings['affliate_site_title']?>"/>
						<div class="tips"><?php _e('Page Title Shown on Affiliate Account Header','mga')?></div>						
					</td>
				</tr>
				<tr>
					<td valign="top"><span class="required-field"><?php _e('Affiliate Site Copyright','mga')?></span></td>
					<td valign="top">
						<input type="text" name="settings[general][affliate_site_copyright]" size="50" value="<?php echo $settings['affliate_site_copyright']?>"/>
						<div class="tips"><?php _e('Copyright Shown on Affiliate Account Footer','mga')?></div>						
					</td>
				</tr>
				<tr>
					<td valign="top"><span class="required-field"><?php _e('Cookie Life(Days)','mga')?></span></td>
					<td valign="top">
						<input type="text" name="settings[general][cookie_life]" size="10" value="<?php echo $settings['cookie_life']?>"/>						
						<div class="tips"><?php _e('Cookie Life Time for Tracking a Sale. Keep within 30 Days for best result','mga')?></div>						
					</td>
				</tr>	
				<tr>
					<td valign="top"><span class="required-field"><?php _e('Commission Level','mga')?></span></td>
					<td valign="top">
						<input type="text" name="settings[general][commission_level]" size="10" value="<?php echo $settings['commission_level']?>"/>	
						<select name="settings[general][commission_type]">
							<option value="flat" <?php mga_select_if_match('flat',$settings['commission_type'],'flat')?>><?php _e('Flat','mga')?></option>
							<option value="percent" <?php mga_select_if_match('percent',$settings['commission_type'])?>><?php _e('Percent','mga')?>(%)</option> 
						</select>					
						<div class="tips"><?php _e('Commission level for payout. If Tier Commission is enabled, this will be disregarded.','mga')?></div>						
					</td>
				</tr>
				<tr>
					<td valign="top"><span class="required-field"><?php _e('Use Tier Commission','mga')?>?</span></td>
					<td valign="top">
						<input type="checkbox" name="settings[general][tier_commission]" value="Y" <?php mga_check_if_match('Y',$settings['tier_commission'])?>/> <?php _e('Enable Tier Commission?','mga')?>
						<div id="bl_tier_rates" style="display:<?php echo ($settings['tier_commission']=='Y')?'block':'none'?>">
							<table cellpadding="1" cellspacing="0" border="0">
								<tr>
									<td valign="top"><?php _e('Levels','mga')?></td>
									<td valign="top">
										<select name="settings[general][tier_levels]" style="width:50px">
											<?php echo mga_make_combo_options(range(1,5),$settings['tier_levels'],1)?>
										</select>
										<ul id="bl_tier_values"></ul>										
									</td>
								</tr>
							</table>
						</div>
						<div class="tips"><?php _e('Tier Commission for payout. Each value must be provided for the system to work.','mga')?></div>						
					</td>
				</tr>	
				<?php if(count($membershipmods)>0):?>
				<tr>
					<td valign="top"><span class="required-field"><?php _e('Recurring Commission','mga')?></span></td>
					<td valign="top">
						<input type="checkbox" name="settings[general][recurring_commission_enabled]" value="Y" <?php mga_check_if_match('Y',$settings['recurring_commission_enabled'])?>/> <?php _e('Enable Recurring Commission?','mga')?>						
						<div id="bl_recurring_commission" style="display:<?php echo ($settings['recurring_commission_enabled']=='Y')?'block':'none'?>">					
							<input type="text" name="settings[general][recurring_commission_level]" size="10" value="<?php echo $settings['recurring_commission_level']?>"/>	
							<select name="settings[general][recurring_commission_type]">
								<option value="flat" <?php mga_select_if_match('flat',$settings['recurring_commission_type'],'flat')?>><?php _e('Flat','mga')?></option>
								<option value="percent" <?php mga_select_if_match('percent',$settings['recurring_commission_type'])?>><?php _e('Percent','mga')?>(%)</option> 
							</select>	
						</div>					
						<div class="tips"><?php _e('Recurring Commission level for payout. Only available if any Recurring Module is enabled.','mga')?></div>						
					</td>
				</tr>
				<?php endif;?>
				<tr>
					<td valign="top"><span class="not-required"><?php _e('Signup Bonus','mga')?></span></td>
					<td valign="top">
						<input type="text" name="settings[general][signup_bonus]" size="10" value="<?php echo $settings['signup_bonus']?>"/>						
						<div class="tips"><?php _e('Bonus Commission payout for new Signups.','mga')?></div>						
					</td>
				</tr>
				<tr>
					<td valign="top"><span class="required-field"><?php _e('Currency Symbol','mga')?></span></td>
					<td valign="top">
						<input type="text" name="settings[general][currency_symbol]" size="5" value="<?php echo $settings['currency_symbol']?>"/>						
						<div class="tips"><?php _e('Currency of the all Transactions.','mga')?></div>						
					</td>
				</tr>	
				<tr>
					<td valign="top"><span class="required-field"><?php _e('Currency Code','mga')?></span></td>
					<td valign="top">
						<input type="text" name="settings[general][currency_code]" size="10" value="<?php echo $settings['currency_code']?>"/>						
						<div class="tips"><?php _e('Currency of the all Transactions. Used in PayPal mostly.','mga')?></div>						
					</td>
				</tr>
				<tr>
					<td valign="top"><span class="required-field"><?php _e('Commission Reversal','mga')?></span></td>
					<td valign="top">
						<input type="checkbox" name="settings[general][auto_commission_reversal]" value="Y" <?php mga_check_if_match('Y',$settings['auto_commission_reversal'])?>/>	<?php _e('Enable Automatic Commission Reversal','mga')?>					
						<div class="tips"><?php _e('Check this if you want to automatically reverse the commission. Works with WP-Ecommerce only.','mga')?></div>						
					</td>
				</tr>
				<tr>
					<td valign="top"><span class="required-field"><?php _e('Contact Email Address','mga')?></span></td>
					<td valign="top">
						<input type="text" name="settings[general][contact_email]" size="40" value="<?php echo $settings['contact_email']?>"/>						
						<div class="tips"><?php _e('Contact Email for all Contact requests.','mga')?></div>						
					</td>
				</tr>
				<tr>
					<td valign="top"><span class="required-field"><?php _e('Affiliate Login URL','mga')?></span></td>
					<td valign="top">						
						<?php 
						// defaults
						if(empty($settings['affiliate_login_url'])){
							$settings['affiliate_login_url'] = 'affaccount';							
						}
						// url
						$affurl[] = trailingslashit(site_url());
						$affurl[] = (get_option('permalink_structure')=='') ? '?' : '';
						$affurl[] = '<span id="affiliate_login_url" style="color:red;text-decoration:underline">'.$settings['affiliate_login_url'].'</span>';
						$affurl[] = (get_option('permalink_structure')=='') ? '=dashboard' : '/dashboard'; ?>
						<div><b><?php _e('SAMPLE','mga')?>:</b> <?php echo implode('',$affurl);?></div>
						<input type="text" name="settings[general][affiliate_login_url]" size="20" value="<?php echo $settings['affiliate_login_url']?>"/>												
						<div class="tips"><?php _e('URL for Affiliates to Signup/login etc.','mga')?></div>						
					</td>
				</tr>
				<tr>
					<td valign="top"><span class="not-required"><?php _e('Terms & Conditions URL','mga')?></span></td>
					<td valign="top">
						<input type="text" name="settings[general][term_url]" size="100" value="<?php echo $settings['term_url']?>"/>						
						<div class="tips"><?php _e('URL to Terms & Conditions.','mga')?></div>						
					</td>
				</tr>
				<tr>
					<td valign="top"><span class="not-required"><?php _e('Admin Notification','mga')?></span></td>
					<td valign="top">
						<input type="checkbox" name="settings[general][notify_admin]" value="Y" <?php mga_check_if_match('Y',$settings['notify_admin'])?>/>	<?php _e('Enable All Notification to Admin?','mga')?>
						<div class="tips"><?php _e('Check to send copy of all Emails (sales) to Admin.','mga')?></div>						
					</td>
				</tr>
				<tr>
					<td valign="top"><span class="not-required"><?php _e('Short date Format','mga')?></span></td>
					<td valign="top">
						<select name="settings[general][short_date_format]" >
							<option value="m-d-Y" <?php mga_select_if_match('m-d-Y',$settings['short_date_format'],'m-d-Y')?>><?php echo date('m-d-Y')?></option>
							<option value="jS F, Y" <?php mga_select_if_match('jS F, Y',$settings['short_date_format'])?>><?php echo date('jS F, Y')?></option> 
							<option value="jS M, Y" <?php mga_select_if_match('jS M, Y',$settings['short_date_format'])?>><?php echo date('jS M, Y')?></option>  
						</select>			
						<div class="tips"><?php _e('Short Date Format for Display.','mga')?></div>						
					</td>
				</tr>
				<tr>
					<td valign="top"><span class="not-required"><?php _e('Long date Format','mga')?></span></td>
					<td valign="top">
						<select name="settings[general][long_date_format]" >
							<option value="m-d-Y h:i:s" <?php mga_select_if_match('m-d-Y h:i:s',$settings['long_date_format'],'m-d-Y h:i:s')?>><?php echo date('m-d-Y h:i:s')?></option>
							<option value="m-d-Y H:i:s" <?php mga_select_if_match('m-d-Y H:i:s',$settings['long_date_format'])?>><?php echo date('m-d-Y H:i:s')?></option>
							
							<option value="jS F, Y h:i:s" <?php mga_select_if_match('jS F, Y h:i:s',$settings['long_date_format'])?>><?php echo date('jS F, Y h:i:s')?></option>
							<option value="jS F, Y H:i:s" <?php mga_select_if_match('jS F, Y H:i:s',$settings['long_date_format'])?>><?php echo date('jS F, Y H:i:s')?></option>
							
							<option value="jS M, Y h:i:s" <?php mga_select_if_match('jS M, Y h:i:s',$settings['long_date_format'])?>><?php echo date('jS M, Y h:i:s')?></option>
							<option value="jS M, Y H:i:s" <?php mga_select_if_match('jS M, Y H:i:s',$settings['long_date_format'])?>><?php echo date('jS M, Y H:i:s')?></option>							
						</select>			
						<div class="tips"><?php _e('Long Date Format for Display.','mga')?></div>						
					</td>
				</tr>	
				<tr>
					<td valign="top"><span class="required-field"><?php _e('Pagination Limit','mga')?></span></td>
					<td valign="top">
						<input type="text" name="settings[general][pagination]" size="10" value="<?php echo $settings['pagination']?>"/>						
						<div class="tips"><?php _e('Pagination Limit (Admin and Affiliates) .','mga')?></div>
					</td>
				</tr>		
				<tr>
					<td valign="top"></td>
					<td valign="top">
						<input type="submit" name="btn_save" value="<?php _e('Save','mga')?>" class="button"/>						
					</td>
				</tr>
			</tbody>	
		</table>	
		<input type="hidden" name="process" value="true" />
	</form>											
	<br />	
	<?php mga_box_bottom()?>
	<br />
	<?php mga_box_top('Remove Magic Affiliates')?>	
	<form name="frmgenuni" id="frmgenuni" method="post" action="admin.php?page=mga/admin&load=settings&mode=remove_plugin">
		<table width="100%" cellpadding="1" cellspacing="0" border="0" class="form-table">		
			<tbody>
				<tr>
					<td>
						<p><?php _e('<strong>Warning!</strong> This will remove all Magic Affiliates data including sales records.','mga') ?></p>
						<p><strong><?php _e('Back up before removal! Once done this can not be undone!','mga') ?></strong></p>
					</td>
				</tr>
				<tr>					
					<td valign="top">
						<input type="button" name="removebtn" value="<?php _e('Remove All Data','mga') ?>" class="button" onclick="remove_mga(this)"/>						
					</td>
				</tr>
				<tr>
					<td>
						<p><?php _e('Only use this tool if you really mean to permanently remove Magic Affiliates, otherwise deactivate/activate using the normal Plugin screen','mga') ?></p>
					</td>
				</tr>
			</tbody>
		</table>
		<?php wp_nonce_field( 'deactivate_plugin_magicaffiliates', 'deactivate_plugin_magicaffiliates', false );?>	
	</form>		
	<br />	
	<?php mga_box_bottom()?>
	<br />
	<?php mga_box_top('Setup Environment for Magic Affiliates')?>	
	<form name="frmgenenv" id="frmgenenv" method="post" action="admin.php?page=mga/admin&load=settings&mode=env_setup">
		<table width="100%" cellpadding="1" cellspacing="0" border="0" class="form-table">		
			<tbody>
				<tr>
					<td><b><?php _e('Please Select a jQueryUI version :','mga')?></b></td>
				</tr>
				<tr>
					<td>						
						<select name="jqueryui_version" style="width:150px">
						<?php echo mga_make_combo_options(array('1.7.2','1.7.3','1.8.2'), get_option('mga_jqueryui_version'), MGM_VALUE_ONLY)?>
						</select>
						<div class="information"><?php _e('jQuery UI version to use, for best performance, version 1.8.2 is recommended if that works with your WP environment.','mga')?></div>
					</td>
				</tr>
				<tr>
					<td><b><?php echo __('Disable Core jQuery On Site:','mga')?></b></td>
				</tr>
				<tr>
					<td>
						<input type="checkbox" name="disable_core_jquery" value="Y"  <?php echo (get_option('mga_disable_core_jquery') == 'Y') ? 'checked' : '';?>/> <?php _e('Yes','mga')?>
						<div class="information"><?php _e('Easy way to solve jQuery clash problem i.e. with Thesis Theme. Only stop jQuery on Theme/Site.','mga'); ?></div>						
					</td>
				</tr>
			</tbody>
			<tfoot>	
				<tr>
					<td height="10px">
						<p>	
							<input type="button" class="button" onclick="mga_env_setup()" value="<?php _e('SETUP &raquo;','mga') ?>"/>
						</p>
					</td>
				</tr>	
			</tfoot>
		</table>		
		<input type="hidden" name="process" value="true" />
	</form>		
	<br />	
	<?php mga_box_bottom()?>	
	<script language="javascript">
		<!--
		// onready
		jQuery(document).ready(function(){   						
			// first field focus 	
			jQuery("#frmgenset :input:first").focus();		
			// blur
			jQuery("#frmgenset :input[name='settings[general][affiliate_login_url]']").blur(function(e){				
				jQuery('#affiliate_login_url').html(jQuery(this).val());
			});					
			// add login form validation
			jQuery("#frmgenset").validate({					
				submitHandler: function(form) {					    					
					jQuery("#frmgenset").ajaxSubmit({type: "POST",
					  url: 'admin.php?page=mga/admin&load=settings&mode=general',
					  dataType: 'json',											 
					  beforeSubmit: function(){	
						jQuery('#wrap-admin-settings #message').remove();		
						jQuery('#wrap-admin-settings').prepend('<div id="message" class="running"> <?php _e('Saving','mga');?>...</div>');									  	
					  },
					  success: function(data){	
							// remove 										   														
							jQuery('#wrap-admin-settings #message').remove();														
							// show message
							jQuery('#wrap-admin-settings').prepend('<div id="message"></div>');	
							// show
							jQuery('#wrap-admin-settings #message').addClass(data.status).html(data.message);	
							// focus
							jQuery.scrollTo('#admin_settings',400);								   	
					  }});    		
					return false;											
				},
				rules: {			
					'settings[general][affliate_site_title]': "required",
					'settings[general][affliate_site_copyright]': "required",
					'settings[general][cookie_life]': {required:true,digits:true},
					'settings[general][commission_level]':{required:function(){ return !jQuery("#frmgenset :checkbox[name='settings[general][tier_commission]']").attr('checked');}},
					'settings[general][recurring_commission_level]':{required:function(){ return jQuery("#frmgenset :checkbox[name='settings[general][recurring_commission_enabled]']").attr('checked');}},					
					'settings[general][signup_bonus]': {required:false,number:true},
					'settings[general][currency_symbol]': "required",
					'settings[general][currency_code]': "required",
					'settings[general][auto_commission_reversal]': "required",
					'settings[general][contact_email]': {required:true,email:true},	
					'settings[general][affiliate_login_url]': "required",
					'settings[general][pagination]': {required:true,digits:true}	
				},
				messages: {			
					'settings[general][affliate_site_title]': "<?php _e('Please enter site title','mga')?>",
					'settings[general][affliate_site_copyright]': "<?php _e('Please enter site copyright','mga')?>",					
					'settings[general][cookie_life]': "<?php _e('Please enter cookie life in days','mga')?>",
					'settings[general][commission_level]': "<?php _e('Please enter commission level','mga')?>",
					'settings[general][recurring_commission_level]': "<?php _e('Please enter recurring commission level','mga')?>",
					'settings[general][signup_bonus]': {number:"<?php _e('Please enter signup bonus in amount','mga')?>"},
					'settings[general][currency_symbol]': "<?php _e('Please enter currency symbol','mga')?>",
					'settings[general][currency_code]': "<?php _e('Please enter currency code','mga')?>",
					'settings[general][auto_commission_reversal]': "<?php _e('Please select auto commission reversal','mga')?>",
					'settings[general][contact_email]': {required:"<?php _e('Please enter contact email','mga')?>",email:"<?php _e('Email should be in valid format','mga')?>"},	
					'settings[general][affiliate_login_url]': "<?php _e('Please enter Affiliate Center URL name','mga')?>",
					'settings[general][pagination]': {required:"<?php _e('Please enter pagination limit','mga')?>",digits:"<?php _e('Please enter pagination in digit','mga')?>"}		
				},
				errorClass: 'validation-error',
				errorPlacement: function(error, element) {
					if(element.is(":input[name^='settings[general][recurring_commission_level]']"))		
						element.parent().parent().append( error );	
					else if(element.is(":input[name^='settings[general]']"))						
						element.parent().append( error );										
					else							
						error.insertAfter(element);
				}
			});		
			// check bind
			jQuery("#frmgenset :checkbox[name='settings[general][tier_commission]']").bind('click',function(){
				if(jQuery(this).attr('checked')){
					jQuery('#bl_tier_rates').show();
				}else{
					jQuery('#bl_tier_rates').hide();
				}
			});
			// check bind
			jQuery("#frmgenset :checkbox[name='settings[general][recurring_commission_enabled]']").bind('click',function(){
				if(jQuery(this).attr('checked')){
					jQuery('#bl_recurring_commission').show();
				}else{
					jQuery('#bl_recurring_commission').hide();
				}
			});
			// select bind					
			jQuery("#frmgenset select[name='settings[general][tier_levels]']").bind('change',function(){
				var pre_tier_commissions=null;
				try{	
					pre_tier_commissions=<?php echo json_encode($settings['tier_commissions'])?>;
				}catch(x){}					
				// remove old
				jQuery('#bl_tier_values').children().remove();
				// loop
				
				for(var index=1;index<=jQuery(this).val();index++){
					// tier val
					try{
						tier_val=(pre_tier_commissions[index])?pre_tier_commissions[index]:0;
					}catch(x){tier_val=0;}
					// create
					jQuery('#bl_tier_values').append('<li>Tier '+index+': <input type="text" name="settings[general][tier_commissions]['+index+']" value="'+tier_val+'" size="5">%</li>');
				}
			}).change();
			// remove
			remove_mga=function(e){
				if(!confirm('Are you sure you want to remove all data?')) 
					return;					
				
				// process
				jQuery("#frmgenuni").ajaxSubmit({type: "POST",
					  url: 'admin.php?page=mga/admin&load=settings&mode=remove_plugin',
					  dataType: 'json',											 
					  beforeSubmit: function(){	
						jQuery('#wrap-admin-settings #message').remove();		
						jQuery('#wrap-admin-settings').prepend('<div id="message" class="running"> <?php _e('Processing','mga')?>...</div>');									  	
					  },
					  success: function(data){	
							// success
							if(data.status=='success'){														
								window.location.href=data.redirect;
							}
							
							// remove 										   																											
							jQuery('#wrap-admin-settings #message').remove();														
							// show message
							jQuery('#wrap-admin-settings').prepend('<div id="message"></div>');	
							// show
							jQuery('#wrap-admin-settings #message').addClass(data.status).html(data.message);	
							// focus
							jQuery.scrollTo('#admin_settings',400);								   	
					  }}); 
			}			
			// mga_env_setup	
			mga_env_setup = function(){				
				jQuery('#frmgenenv').ajaxSubmit({
					 dataType: 'json',											 
					  beforeSubmit: function(){	
						// show message
						mga_show_message('#frmgenenv', {status:'running', message:'<?php _e('Processing','mga')?>...'},true);						
					  },
					  success: function(data){	
							// message																				
							mga_show_message('#frmgenenv', data);		
							
							// success	
							if(data.status=='success'){																													
								// redirect
								if(data.redirect != ''){
									window.location.href = data.redirect;
								}										
							}	
					  }
				});				
			}
		});	
		//-->		
	</script>
	<?php
}

// security
function f_security(){
	global $wpdb;
	// save
	if(isset($_POST['process']) && $_POST['process']=='true'){		
		extract($_POST);
		if(isset($settings)){
			// check email unique
			$old_settings=get_option('mga_settings');
			if(is_array($old_settings)){
				$new_settings=array_merge($old_settings,$_POST['settings']);
			}else{
				$new_settings=$_POST['settings'];
			}
			update_option('mga_settings', $new_settings);					
			$status  ='success';
			$message =__('Security Settings updated successfully.','mga');	
		}else{
			$status  ='error';
			$message =__('Setting not provided','mga');
		}		
		// the response
		echo json_encode(array('status'=>$status,'message'=>$message));
		exit();
	}
	// old settings
	$mga_settings =get_option('mga_settings');
	$settings     =$mga_settings['security'];	
	// show form
	?>
	<?php mga_box_top('Security Settings')?>	
	<form name="frmsecset" id="frmsecset" method="post" action="admin.php?page=mga/admin&load=settings&mode=security">
		<table width="100%" cellpadding="1" cellspacing="0" border="0" class="form-table">		
			<tbody>
				<tr>
					<td width="15%" valign="top"><span class="not-required"><?php _e('reCAPTCHA','mga') ?></span></td>
					<td valign="top">
						<input type="checkbox" name="settings[security][use_captcha]" value="Y" <?php mga_check_if_match('Y',$settings['use_captcha'])?>/>	<?php _e('Enable Security Captcha','mga') ?>				
						<div class="tips"><?php _e('Check this if you want to use reCAPTCHA in affiliate signup form.','mga') ?></div>
						<label></label>
					</td>
				</tr>
				<tr>
					<td valign="top"><span class="not-required"><?php _e('Public Key','mga') ?></span></td>
					<td valign="top">
						<input type="text" name="settings[security][public_key]" size="50" value="<?php echo $settings['public_key']?>"/>
						<div class="tips"><?php _e('Captcha Public Key','mga') ?></div>
						<label></label>
					</td>
				</tr>
				<tr>
					<td valign="top"><span class="not-required"><?php _e('Private Key','mga') ?></span></td>
					<td valign="top">
						<input type="text" name="settings[security][private_key]" size="50" value="<?php echo $settings['private_key']?>"/>						
						<div class="tips"><?php _e('Captcha Private Key','mga') ?></div>
						<label></label>
					</td>
				</tr>						
				<tr>
					<td valign="top"></td>
					<td valign="top">
						<input type="submit" name="btn_save" value="<?php _e('Save','mga')?>" class="button"/>						
					</td>
				</tr>
			</tbody>	
		</table>	
		<input type="hidden" name="process" value="true" />
	</form>											
	<br />	
	<?php mga_box_bottom()?>
	<script language="javascript">
		<!--
		// onready
		jQuery(document).ready(function(){   						
			// first field focus 	
			jQuery("#frmsecset :input:first").focus();							
			// add login form validation
			jQuery("#frmsecset").validate({					
				submitHandler: function(form) {					    					
					jQuery("#frmsecset").ajaxSubmit({type: "POST",
					  url: 'admin.php?page=mga/admin&load=settings&mode=security',
					  dataType: 'json',											 
					  beforeSubmit: function(){	
						jQuery('#wrap-admin-settings #message').remove();		
						jQuery('#wrap-admin-settings').prepend('<div id="message" class="running"> <?php _e('Saving','mga');?>...</div>');									  	
					  },
					  success: function(data){	
							// remove 										   														
							jQuery('#wrap-admin-settings #message').remove();														
							// show message
							jQuery('#wrap-admin-settings').prepend('<div id="message"></div>');	
							// show
							jQuery('#wrap-admin-settings #message').addClass(data.status).html(data.message);	
							// focus
							jQuery.scrollTo('#admin_settings',400);								   	
					  }});    		
					return false;											
				},
				rules: {			
					'settings[security][public_key]': {required:function(){ return (jQuery(":checkbox[name='settings[security][use_captcha]']").attr('checked'))}},
					'settings[security][private_key]': {required:function(){ return (jQuery(":checkbox[name='settings[security][use_captcha]']").attr('checked'))}}					
				},
				messages: {			
					'settings[security][public_key]': "<?php _e('Please enter public key','mga');?>",
					'settings[security][private_key]': "<?php _e('Please enter private key','mga');?>"
				},
				errorClass: 'validation-error',
				errorPlacement: function(error, element) {
					if(element.is(":input[name^='settings[security]']"))
						error.appendTo( element.next().next() );											
					else							
						error.insertAfter(element);
				}
			});				
		});	
		//-->		
	</script>
	<?php
}

// affilitate center
function f_affcenter(){
	global $wpdb;
	// save
	if(isset($_POST['process']) && $_POST['process']=='true'){		
		extract($_POST);
		if(isset($settings)){
			// check email unique
			$old_settings = get_option('mga_settings');			
			// set
			$new_settings['affcenter']['index_page_title']   = addslashes(mga_stripslashes_deep($_POST['settings']['affcenter']['index_page_title']));
			$new_settings['affcenter']['index_page_message'] = addslashes(mga_stripslashes_deep($_POST['settings']['affcenter']['index_page_message']));
			$new_settings['affcenter']['admin_notes']        = addslashes(mga_stripslashes_deep($_POST['settings']['affcenter']['admin_notes']));
			// log
			// mga_log(print_r($new_settings,true));
			// array merge
			if(is_array($old_settings)){
				$new_settings = array_merge($old_settings, $new_settings);
			}
			// log
			// mga_log(print_r($new_settings,true));
			// update
			update_option('mga_settings', $new_settings);
			// set message					
			$status  = 'success';
			$message = __('Affiliate Center Settings updated successfully.','mga');			
		}else{
			$status  = 'error';
			$message = __('Setting not provided','mga');
		}		
		// the response
		echo json_encode(array('status'=>$status,'message'=>$message));
		exit();
	}
	// old settings
	$mga_settings = get_option('mga_settings');
	$settings     = $mga_settings['affcenter'];
	
	// echo MGA_MAGIC_QUOTES_GPC;	
	// show form
	?>
	<?php mga_box_top('Affiliate Center Settings')?>	
	<form name="frmaffset" id="frmaffset" method="post" action="admin.php?page=mga/admin&load=settings&mode=affcenter">
		<table width="100%" cellpadding="1" cellspacing="0" border="0" class="form-table">		
			<tbody>				
				<tr>
					<td valign="top"><span class="required-field"><b><?php _e('Index Page Title','mga') ?></b></span></td>
				</tr>
				<tr>	
					<td valign="top">
						<input type="text" name="settings[affcenter][index_page_title]" size="80" value="<?php echo mga_stripslashes_deep(esc_html($settings['index_page_title']))?>"/>
						<div class="tips"><?php _e('Shown on Affiliate Account Index (Before login).','mga') ?></div>
						<label></label>
					</td>
				</tr>
				<tr>
					<td valign="top"><span class="required-field"><b><?php _e('Index Page Message','mga') ?></b></span></td>
				</tr>
				<tr>	
					<td valign="top">
						<textarea name="settings[affcenter][index_page_message]" id="settings_affcenter_index_page_message" cols="80" rows="7" style="height:200px; width:750px"><?php echo mga_stripslashes_deep(esc_html($settings['index_page_message']))?></textarea>						
						<div class="tips"><?php _e('Shown on Affiliate Account Index (Before login)','mga') ?></div>
						<label></label>
					</td>
				</tr>	
				<tr>
					<td valign="top"><span class="not-required"><b><?php _e('Notes to Affiliates','mga') ?></b></span></td>
				</tr>
				<tr>	
					<td valign="top">
						<textarea name="settings[affcenter][admin_notes]" id="settings_affcenter_admin_notes" cols="80" rows="7" style="height:200px; width:750px"><?php echo mga_stripslashes_deep(esc_html($settings['admin_notes']))?></textarea>						
						<div class="tips"><?php _e('Any notes to Affiliate (After login).','mga') ?></div>
						<label></label>
					</td>
				</tr>					
				<tr>					
					<td valign="top">
						<input type="submit" name="btn_save" value="<?php _e('Save','mga')?>" class="button"/>						
					</td>
				</tr>
			</tbody>	
		</table>	
		<input type="hidden" name="process" value="true" />
	</form>											
	<br />	
	<?php mga_box_bottom()?>
	<script language="javascript">
		<!--
		// onready
		jQuery(document).ready(function(){ 
			// editor	
			jQuery("#frmaffset textarea[id]").each(function(){
				new nicEditor({fullPanel : true, iconsPath: '<?php echo MGA_PLUGIN_ASSETS_URL?>js/nicedit/nicEditorIcons.gif'}).panelInstance(jQuery(this).attr('id')); 					
			});	  						
			// first field focus 	
			jQuery("#frmaffset :input:first").focus();							
			// add login form validation
			jQuery("#frmaffset").validate({					
				submitHandler: function(form) {					    					
					jQuery("#frmaffset").ajaxSubmit({type: "POST",
					  url: 'admin.php?page=mga/admin&load=settings&mode=affcenter',
					  dataType: 'json',											 
					  beforeSubmit: function(){	
						jQuery('#wrap-admin-settings #message').remove();		
						jQuery('#wrap-admin-settings').prepend('<div id="message" class="running"> <?php _e('Saving','mga');?>...</div>');									  	
					  },
					  success: function(data){	
							// remove 										   														
							jQuery('#wrap-admin-settings #message').remove();														
							// show message
							jQuery('#wrap-admin-settings').prepend('<div id="message"></div>');	
							// show
							jQuery('#wrap-admin-settings #message').addClass(data.status).html(data.message);	
							// focus
							jQuery.scrollTo('#admin_settings',400);								   	
					  }});    		
					return false;											
				},
				rules: {			
					'settings[affcenter][index_page_title]': {required:true},
					'settings[affcenter][index_page_message]': {required:true}					
				},
				messages: {			
					'settings[affcenter][index_page_title]': "<?php _e('Please enter index page title.','mga');?>",
					'settings[affcenter][index_page_message]': "<?php _e('Please enter index page message.','mga');?>"
				},
				errorClass: 'validation-error',
				errorPlacement: function(error, element) {
					if(element.is(":input[name^='settings[affcenter]']"))
						error.appendTo( element.next().next() );											
					else							
						error.insertAfter(element);
				}
			});					
		});	
		//-->		
	</script>
	<?php
}

// email templates
function f_emailtemplates(){
	global $wpdb;
	// save
	if(isset($_POST['process']) && $_POST['process']=='true'){		
		extract($_POST);
		if(isset($settings)){
			// merge old settings
			$old_settings = get_option('mga_settings');
			// set
			$new_settings['emailtemplates']['sale_notification_subject']   = addslashes(mga_stripslashes_deep($_POST['settings']['emailtemplates']['sale_notification_subject']));
			$new_settings['emailtemplates']['sale_notification_body']      = addslashes(mga_stripslashes_deep($_POST['settings']['emailtemplates']['sale_notification_body']));
			$new_settings['emailtemplates']['signup_notification_subject'] = addslashes(mga_stripslashes_deep($_POST['settings']['emailtemplates']['signup_notification_subject']));
			$new_settings['emailtemplates']['signup_notification_body']    = addslashes(mga_stripslashes_deep($_POST['settings']['emailtemplates']['signup_notification_body']));
			// log
			// mga_log(print_r($new_settings,true));
			// array merge
			if(is_array($old_settings)){
				// merge email template
				$new_settings['emailtemplates'] = array_merge($old_settings['emailtemplates'], $new_settings['emailtemplates']);
				// log
				// mga_log(print_r($new_settings,true));
				// merge with main
				$new_settings = array_merge($old_settings, $new_settings);
			}
			// save
			update_option('mga_settings', $new_settings);
			// log	
			// mga_log(print_r($new_settings,true));				
			// message
			$status  = 'success';
			$message = __('Email templates updated successfully.','mga');		
		}else{
			$status  = 'error';
			$message = __('Email templates not provided.','mga');
		}		
		// the response
		echo json_encode(array('status'=>$status,'message'=>$message));
		exit();
	}
	// old settings
	$mga_settings = get_option('mga_settings');
	$settings     = $mga_settings['emailtemplates'];
	// mga_array_dump($settings);		
	// show form
	?>
	<?php mga_box_top('Email Templates')?>	
	<form name="frmemtset" id="frmemtset" method="post" action="admin.php?page=mga/admin&load=settings&mode=emailtemplates">
		<table width="100%" cellpadding="1" cellspacing="0" border="0" class="form-table">		
			<tbody>				
				<tr>
					<td valign="top" height="30"><span class="required-field"><b><?php _e('Sale Notification','mga') ?></b></span></td>
				</tr>
				<tr>	
					<td valign="top">
						<table>
							<tr>
								<td><b><?php _e('Subject','mga')?></b></td>
							</tr>
							<tr>
								<td>
									<input type="text" name="settings[emailtemplates][sale_notification_subject]" size="80" value="<?php echo $settings['sale_notification_subject']?>"/>								
									<div></div>							
									<label></label>
								</td>
							</tr>
							<tr>
								<td><b><?php _e('Body','mga')?></b></td>
							</tr>
							<tr>
								<td>
									<textarea cols="80" rows="10" name="settings[emailtemplates][sale_notification_body]" id="settings_emailtemplates_sale_notification_body" style="height:200px; width:750px"><?php echo mga_stripslashes_deep(esc_html($settings['sale_notification_body']))?></textarea>						
									<div class="tips"><?php _e('Email template body for after sale notification to affiliates.','mga') ?></div>
									<label></label>
								</td>
							</tr>
						</table>								
					</td>
				</tr>	
				<tr>
					<td valign="top" height="30"><span class="required-field"><b><?php _e('Signup Notification','mga') ?></b></span></td>
				</tr>
				<tr>	
					<td valign="top">
						<table>
							<tr>
								<td><b><?php _e('Subject','mga')?></b></td>
							</tr>
							<tr>
								<td>
									<input type="text" name="settings[emailtemplates][signup_notification_subject]" size="80" value="<?php echo $settings['signup_notification_subject']?>"/>								
									<div></div>							
									<label></label>
								</td>
							</tr>
							<tr>
								<td><b><?php _e('Body','mga')?></b></td>
							</tr>
							<tr>
								<td>
									<textarea cols="80" rows="10" name="settings[emailtemplates][signup_notification_body]" id="settings_emailtemplates_signup_notification_body" style="height:200px; width:750px"><?php echo mga_stripslashes_deep(esc_html($settings['signup_notification_body']))?></textarea>						
									<div class="tips"><?php _e('Email template body for after signup notification to affiliates.','mga') ?></div>
									<label></label>
								</td>
							</tr>
						</table>	
					</td>
				</tr>							
				<tr>					
					<td valign="top">
						<input type="submit" name="btn_save" value="<?php _e('Save','mga')?>" class="button"/>						
					</td>
				</tr>
			</tbody>	
		</table>	
		<input type="hidden" name="process" value="true" />
	</form>											
	<br />	
	<?php mga_box_bottom()?>
	<script language="javascript">
		<!--
		// onready
		jQuery(document).ready(function(){   		
			// editor instance first	
			jQuery("#frmemtset textarea[id]").each(function(){
				new nicEditor({fullPanel : true, iconsPath: '<?php echo MGA_PLUGIN_ASSETS_URL?>js/nicedit/nicEditorIcons.gif'}).panelInstance(jQuery(this).attr('id')); 					
			});					
			// first field focus 	
			jQuery("#frmemtset :input:first").focus();							
			// add login form validation
			jQuery("#frmemtset").validate({					
				submitHandler: function(form) {					    					
					jQuery("#frmemtset").ajaxSubmit({type: "POST",
					  url: 'admin.php?page=mga/admin&load=settings&mode=emailtemplates',
					  dataType: 'json',					  										 
					  beforeSubmit: function(){	
						jQuery('#wrap-admin-settings #message').remove();		
						jQuery('#wrap-admin-settings').prepend('<div id="message" class="running"> <?php _e('Saving','mga');?>...</div>');									  	
					  },
					  success: function(data){	
							// remove 										   														
							jQuery('#wrap-admin-settings #message').remove();														
							// show message
							jQuery('#wrap-admin-settings').prepend('<div id="message"></div>');	
							// show
							jQuery('#wrap-admin-settings #message').addClass(data.status).html(data.message);	
							// focus
							jQuery.scrollTo('#admin_settings',400);								   	
					  }});    		
					return false;											
				},
				rules: {								
					'settings[emailtemplates][sale_notification_subject]': "required",
					'settings[emailtemplates][sale_notification_body]': "required"				
				},
				messages: {			
					'settings[emailtemplates][sale_notification_subject]': "<?php _e('Please enter sale notification subject','mga');?>",
					'settings[emailtemplates][sale_notification_body]': "<?php _e('Please enter sale notification template body','mga');?>"
				},
				errorClass: 'validation-error',
				errorPlacement: function(error, element) {
					if(element.is(":input[name^='settings[emailtemplates]']"))
						error.appendTo( element.next().next() );											
					else							
						error.insertAfter(element);
				}
			});						
		});	
		//-->		
	</script>
	<?php
}

// recurring modules
function f_recurringmodules(){
	global $wpdb;
	// save
	if(isset($_POST['process']) && $_POST['process']=='true'){			
		// reset array
		if(!isset($_POST['settings'])){
			$_POST['settings']['recurringmodules']['membership']=array();			
		}
		// extract
		extract($_POST);				
		// update
		if(isset($settings)){
			// merge old settings
			$old_settings=get_option('mga_settings');
			if(is_array($old_settings)){
				$new_settings=array_merge($old_settings,$_POST['settings']);
			}else{
				$new_settings=$_POST['settings'];
			}
			update_option('mga_settings', $new_settings);	
			// message				
			$status  ='success';
			$message =__('Recurring Modules updated successfully.','mga');		
		}else{
			$status  ='error';
			$message =__('Recurring Modules not provided.','mga');
		}		
		// the response
		echo json_encode(array('status'=>$status,'message'=>$message));
		exit();
	}
	// old settings
	$mga_settings  =get_option('mga_settings');
	$settings      =$mga_settings['recurringmodules'];		
	// show form
	?>
	<?php mga_box_top('Recurring Modules')?>	
	<form name="frmrmset" id="frmrmset" method="post" action="admin.php?page=mga/admin&load=settings&mode=recurringmodules">
		<table width="100%" cellpadding="1" cellspacing="0" border="0" class="form-table">		
			<tbody>				
				<tr>
					<td valign="top" width="20%" class="header"><b><?php _e('Available Modules','mga') ?></b></td>
				</tr>
				<tr>	
					<td valign="top">
						<ul>
							<li><input type="checkbox" name="settings[recurringmodules][membership][]" value="magicmembers" <?php mga_check_if_match('magicmembers',$settings['membership'])?>/> <?php _e('Magic Members','mga') ?></li>							
						</ul>	
						<label id="error_nomodule"></label>	
					</td>
				</tr>							
				<tr>					
					<td valign="top">
						<input type="submit" name="btn_save" value="<?php _e('Save','mga')?>" class="button"/>						
					</td>
				</tr>
			</tbody>	
		</table>	
		<input type="hidden" name="process" value="true" />
	</form>											
	<br />	
	<?php mga_box_bottom()?>
	<script language="javascript">
		<!--
		// onready
		jQuery(document).ready(function(){   						
			// first field focus 	
			jQuery("#frmrmset :input:first").focus();							
			// add login form validation
			jQuery("#frmrmset").validate({					
				submitHandler: function(form) {					    					
					jQuery("#frmrmset").ajaxSubmit({type: "POST",
						  url: 'admin.php?page=mga/admin&load=settings&mode=recurringmodules',
						  dataType: 'json',											 
						  beforeSubmit: function(){	
							jQuery('#wrap-admin-settings #message').remove();		
							jQuery('#wrap-admin-settings').prepend('<div id="message" class="running"> <?php _e('Saving','mga');?>...</div>');									  	
						  },
						  success: function(data){	
								// remove 										   														
								jQuery('#wrap-admin-settings #message').remove();														
								// show message
								jQuery('#wrap-admin-settings').prepend('<div id="message"></div>');	
								// show
								jQuery('#wrap-admin-settings #message').addClass(data.status).html(data.message);	
								// focus
								jQuery.scrollTo('#admin_settings',400);								   	
						  }});    		
					return false;											
				},
				rules: {								
					'settings[recurringmodules][membership][]': {required:false}
				},
				messages: {			
					'settings[recurringmodules][membership][]': "<?php _e('Please select one module before saving','mga')?>"
				},
				errorClass: 'validation-error',
				errorPlacement: function(error, element) {
					if(element.is(":input[name^='settings[recurringmodules]']"))												
						error.appendTo(jQuery("#error_nomodule"));
					else							
						error.insertAfter(element);
				}
			});				
		});	
		//-->		
	</script>
	<?php
}

// autoresponders modules
function f_autoresponders(){
	global $wpdb;
	// save
	if(isset($_POST['process']) && $_POST['process']=='true'){			
		// reset array
		if(!isset($_POST['settings'])){
			$_POST['settings']['autoresponders']=array();			
		}
		// extract
		extract($_POST);				
		// update
		if(isset($settings)){
			// merge old settings
			$old_settings=get_option('mga_settings');
			if(is_array($old_settings)){
				$new_settings = array_merge($old_settings, $_POST['settings']);
			}else{
				$new_settings = $_POST['settings'];
			}
			update_option('mga_settings', $new_settings);					
			$status  ='success';
			$message =__('Auto Responders updated successfully.','mga');		
		}else{
			$status  ='error';
			$message =__('Auto Responder Data not provided.','mga');
		}		
		// the response
		echo json_encode(array('status'=>$status,'message'=>$message));
		exit();
	}
	// old settings
	$mga_settings  =get_option('mga_settings');
	$settings      =$mga_settings['autoresponders'];	
	// var_dump($settings);
	// show form
	?>
	<?php mga_box_top('Auto Responders')?>	
	<form name="frmarset" id="frmarset" method="post" action="admin.php?page=mga/admin&load=settings&mode=autoresponders">
		<table width="100%" cellpadding="1" cellspacing="0" border="0" class="form-table">		
			<tbody>				
				<tr>
					<td valign="top" class="header"><b><?php _e('Available Auto Responders','mga') ?></b></td>
				</tr>
				<tr>	
					<td valign="top">
						<select name="settings[autoresponders][active_module]">
							<option value=""><?php _e('Select Auto Responder','mga') ?></option>
							<option value="aweber" <?php echo mga_select_if_match('aweber',$settings['active_module'],'aweber'); ?>><?php _e('Aweber','mga') ?></option>
							<option value="getresponse" <?php echo mga_select_if_match('getresponse',$settings['active_module']); ?>><?php _e('GetResponse','mga') ?></option>
							<option value="mailchimp" <?php echo mga_select_if_match('mailchimp',$settings['active_module']); ?>><?php _e('MailChimp','mga') ?></option>
						</select>
					</td>
				</tr>	
				<tr>	
					<td valign="top">
						<div id="autoresponder_aweber_options" style="display:<?php echo ('aweber'==$settings['active_module'] || $settings['active_module']=='')?'block':'none'; ?>"> 
							<p><label><?php _e('Aweber Web Form ID','mga'); ?><br />
							<input type="text" name="settings[autoresponders][aweber][form_id]" value="<?php echo $settings['aweber']['form_id']; ?>" size="50"/></label>
							</p>				
							<p><label><?php _e('Aweber Unit/List Name','mga'); ?><br />
							<input type="text" name="settings[autoresponders][aweber][unit]" value="<?php echo $settings['aweber']['unit']; ?>" size="50"/></label>
							</p>
						</div>	
						<div id="autoresponder_getresponse_options" style="display:<?php echo ('getresponse'==$settings['active_module'])?'block':'none'; ?>"> 
							<p><label><?php _e('GetResponse Campaign Name','mga'); ?><br />
							<input type="text" name="settings[autoresponders][getresponse][category1]" value="<?php echo $settings['getresponse']['category1']; ?>" size="50"/></label>
							</p>				
							<p><label><?php _e('GetResponse Tracking Code','mga'); ?><br />
							<input type="text" name="settings[autoresponders][getresponse][ref]" value="<?php echo $settings['getresponse']['ref']; ?>" size="50"/></label>
							</p>
						</div>
						<div id="autoresponder_mailchimp_options" style="display:<?php echo ('mailchimp'==$settings['active_module'])?'block':'none'; ?>"> 
							<p><label><?php _e('MailChimp Unique List ID','mga'); ?><br />
							<input type="text" name="settings[autoresponders][mailchimp][unique_id]" value="<?php echo $settings['mailchimp']['unique_id']; ?>" size="50"/></label>
							</p>				
							<p><label><?php _e('MailChimp API Key','mga'); ?><br />
							<input type="text" name="settings[autoresponders][mailchimp][apikey]" value="<?php echo $settings['mailchimp']['apikey']; ?>" size="50"/></label>
							</p>
						</div>						
						<label id="error_nomodule"></label>	
					</td>
				</tr>							
				<tr>					
					<td valign="top">
						<input type="submit" name="btn_save" value="<?php _e('Save','mga')?>" class="button"/>						
					</td>
				</tr>
			</tbody>	
		</table>	
		<input type="hidden" name="process" value="true" />
	</form>											
	<br />	
	<?php mga_box_bottom()?>
	<script language="javascript">
		<!--
		// onready
		jQuery(document).ready(function(){   						
			// first field focus 	
			jQuery("#frmarset :input:first").focus();							
			// add login form validation
			jQuery("#frmarset").validate({					
				submitHandler: function(form) {					    					
					jQuery("#frmarset").ajaxSubmit({type: "POST",
					  url: 'admin.php?page=mga/admin&load=settings&mode=autoresponders',
					  dataType: 'json',											 
					  beforeSubmit: function(){	
						jQuery('#wrap-admin-settings #message').remove();		
						jQuery('#wrap-admin-settings').prepend('<div id="message" class="running"> <?php _e('Saving','mga');?>...</div>');									  	
					  },
					  success: function(data){	
							// remove 										   														
							jQuery('#wrap-admin-settings #message').remove();														
							// show message
							jQuery('#wrap-admin-settings').prepend('<div id="message"></div>');	
							// show
							jQuery('#wrap-admin-settings #message').addClass(data.status).html(data.message);	
							// focus
							jQuery.scrollTo('#admin_settings',400);								   	
					  }});    		
					return false;											
				},
				rules: {								
					'settings[autoresponders][aweber][form_id]'       : {required:function(){ return jQuery("select[name='settings[autoresponders][active_module]']").val()=='aweber';}},
					'settings[autoresponders][aweber][unit]'          : {required:function(){ return jQuery("select[name='settings[autoresponders][active_module]']").val()=='aweber';}},
					'settings[autoresponders][getresponse][category1]': {required:function(){ return jQuery("select[name='settings[autoresponders][active_module]']").val()=='getresponse';}},
					'settings[autoresponders][getresponse][ref]'      : {required:function(){ return jQuery("select[name='settings[autoresponders][active_module]']").val()=='getresponse';}},
					'settings[autoresponders][mailchimp][unique_id]'  : {required:function(){ return jQuery("select[name='settings[autoresponders][active_module]']").val()=='mailchimp';}},
					'settings[autoresponders][mailchimp][apikey]'     : {required:function(){ return jQuery("select[name='settings[autoresponders][active_module]']").val()=='mailchimp';}}
				},
				messages: {			
					'settings[autoresponders][aweber][form_id]'       : "<?php _e('Please enter aweber form id','mga')?>",
					'settings[autoresponders][aweber][unit]'          : "<?php _e('Please enter aweber unit','mga')?>",
					'settings[autoresponders][getresponse][category1]': "<?php _e('Please enter getresponse campaign name','mga')?>",
					'settings[autoresponders][getresponse][ref]'      : "<?php _e('Please enter getresponse tracking code','mga')?>",
					'settings[autoresponders][mailchimp][unique_id]'  : "<?php _e('Please enter mailchimp unique list id','mga')?>",
					'settings[autoresponders][mailchimp][apikey]'     : "<?php _e('Please enter mailchimp api key','mga')?>"
				},
				errorClass: 'validation-error',
				errorPlacement: function(error, element) {
					error.insertAfter(element);
				}
			});	
			jQuery("select[name='settings[autoresponders][active_module]']").bind('change',function(){
				jQuery("div[id^='autoresponder_']").hide();
				jQuery('#autoresponder_'+jQuery(this).val()+'_options').fadeIn();
			});			
		});	
		//-->		
	</script>
	<?php
}

// remove plugin
function f_remove_plugin(){
	$plugin = trim('magicaffiliate/magicaffiliate.php');
	if (is_plugin_active($plugin)) {
		// deactivate first
		deactivate_plugins($plugin, true);
		// remove all
		mga_deactivate(true);
		// redirect
		$status   ='success';
		$message  =__('Plugin deactivated','mga');
		$redirect ='plugins.php?deactivate=true&plugin_status=active&paged=1'; 
	}else{
		$status  ='error';
		$message =__('Plugin already deactivated','mga');
	}	
	// response
	echo json_encode(array('status'=>$status,'message'=>$message,'redirect'=>$redirect));
}

// mga_env_setup
function f_env_setup(){
	// save
	if(isset($_POST['process']) && $_POST['process']=='true'){		
		extract($_POST);		
		// message				
		$status   ='success';
		$message  =__('Environment setup completed successfully.','mga');	
		$redirect = 'admin.php?page=mga/admin'; 	
		// update		
		update_option('mga_jqueryui_version', $_POST['jqueryui_version']);
		update_option('mga_disable_core_jquery', $_POST['disable_core_jquery']);		
		// the response
		echo json_encode(array('status'=>$status,'message'=>$message,'redirect'=>$redirect));
		exit();
	}		
	// echo json_encode(array('status'=>$status,'message'=>$message));
}
// end of file